<html>
<body>
    <video [muted]="true" autoplay playsinline loop id="myVideo">
        <source src="/assets/images/bg1.mp4" type="video/mp4">
        Your browser does not support HTML5 video.
        </video>

<div class="float-container">
    <!-- <div class="login-box" > -->
 
    <!-- </div> -->
    <div class="login-box">
        <img class="logo" src="assets/images/logoo.PNG" style="align-items: center;">
    <h2>REGISTRATION</h2>


    <ul> <strong>Password to be  :</strong>
        <li>At least 8 - 15 characters in length</li>
            <li>at least one Lowercase letters</li>
            <li>at least one Uppercase letters</li>
            <!--<li>at least one Digit</li>-->
            <!--<li>at least 1 special character</li>-->
    </ul>

    <form [formGroup]="registrationForm"  (ngSubmit)="onSubmitNewAccount()" >

        
        <div class="textbox">
            Username : <input type="text" formControlName="username" maxlength="15"  style="font-weight:normal">
        </div>
        <div class="textbox">
            Email address : <input type="email" formControlName="email" size="40" style="font-weight:normal">
        </div>
        <span *ngIf="email && email.invalid && (email.dirty || email.touched)" style="color:red">Please enter email</span>
        <div class="textbox">
            Password: <input type="password" formControlName="password" maxlength="15"  style="font-weight:normal">
        </div>
        <span *ngIf="confirmPassword && confirmPassword.invalid && (confirmPassword.dirty || confirmPassword.touched)" style="color:red">Please enter password in correct format </span>
        
        <div class="textbox">
            Confirm Password: <input type="password" formControlName="confirmPassword" maxlength="15"  style="font-weight:normal">
        </div>
        <span *ngIf="confirmPassword && confirmPassword.invalid && (confirmPassword.dirty || confirmPassword.touched)" style="color:red">Please enter Confirm password</span>
        <br>
        <span *ngIf="notSame" style="color:red">Both Password and Confirm password are not the same</span>
        <button type="submit" class="loginBtn" [disabled]="registrationForm.invalid" >Register</button>

                
    </form>

    <button class="loginBtn" (click)="onLogin()">Sign in to existing account</button>
</div>
</div>
</body>
</html>





<div *ngIf="isSignUpFailed">
    <div class="modal">
           <div class="modal-dialog fadeDown in" role="dialog" aria-hidden="true">
           <div class="modal-content">
            <cds-icon style="float:right; cursor:pointer;" shape="window-close" size="md" (click) = "isSignUpFailed = false"></cds-icon> 
            <br>
          <h2 style="font-family: 'Quicksand'; font-size:18px;">{{errorMessage}}
                        <br>
                        Please contact <a href="mailto: otoroVN209@gmail.com">Otoro Adminstrator</a>.
                        <br>
                        <!-- <button type="button" class="btn btn-outline" (click)="isSignUpFailed = false">Close</button> -->
                    </h2>
           </div>
           </div>
    </div>
    <div class="modal-backdrop fade in" aria-hidden="true"></div>
</div>


<div *ngIf="isSuccessful">
    <div class="modal">
           <div class="modal-dialog fadeDown in" role="dialog" aria-hidden="true">
           <div class="modal-content">
            <cds-icon style="float:right; cursor:pointer;" shape="window-close" size="md" (click) = "route()"></cds-icon> 
            <br>
          <h2 style="font-family: 'Quicksand'; font-size:18px;">
               
                  Your account has been successfully created.
                        <br>
                        <br>
                        <!-- <button type="button" class="btn btn-outline" (click)="route()">Close</button> -->
                    </h2>
           </div>
           </div>
    </div>
    <div class="modal-backdrop fade in" aria-hidden="true"></div>
</div>


<div *ngIf="spinning">
    <div class="modal-backdrop" aria-hidden="true">
           <div class="loading">
                  <clr-spinner></clr-spinner><h2>Loading... </h2>
           </div>
    </div>
</div>
